# 报告生成工具


## 工具简介
用于报告结果整合及HTML报告输出


## 部署方式

### 配置要求
硬件要求：无  
软件要求：无  
系统要求：无  
依赖要求：python3.8


## 使用方法
输入：环境信息、应用信息、检查结果等csv文件路径  
输出：结果汇总json文件、html文件(结果输出至项目report文件夹)  
参数：  
```
  -h, --help            show this help message and exit  
  -e ENV_FILEPATH, --env_filepath ENV_FILEPATH  
                        环境信息csv文件路径(必填)  
  -s STANDARDIZATION_FILEPATH, --standardization_filepath STANDARDIZATION_FILEPATH  
                        合规性检查报告csv文件路径(必填)  
  -c COMPATIBILITY_FILEPATH, --compatibility_filepath COMPATIBILITY_FILEPATH  
                        兼容性检查报告csv文件路径(必填)  
  -p PACKAGE_FILEPATH, --package_filepath PACKAGE_FILEPATH  
                        应用信息csv文件路径(选填)  
  -r RUNNING_FILEPATH, --running_filepath RUNNING_FILEPATH  
                        运行信息csv文件路径(选填)  
```
使用示例  
```
python3 report.py -e '环境信息.csv' -s '合规性检查.csv' -c '兼容性检查.csv' -p '应用信息.csv' 
```



