#!/bin/bash
#######################################################################################
#Function: function of case schedule
#Platform:amd64\arm64\x86
#Author: Lili Sun
#Date: 2021/04/23
#Company: Kylin Software Co.,Ltd.
#Description:从控制文件（control.cnf ）中读取循环的次数
#########
#TODO
#
########################################################################################
##从指定的文件中读取内容，返回数组
## 入参（param1：文件路径；param2：搜索关键字；param3：取第几列）
function get_para_from_file(){
  local file_path=$1
  local keywords=$2
#  local col=$3
  local res_array=($(cat $file_path | grep $keywords |grep -v '#'| awk '{print $2}'))
  echo ${res_array[@]}
}

##从指定的文件中读取内容，返回第一个值
## 入参（param1：搜索关键字）
function get_para_from_control(){
 local file_path="control/control.cnf"
 local keywords=$1
# local res_array=($(cat $file_path | grep $keywords |grep -v '#'| awk '{print $2}' ))
 local res_array=($(get_para_from_file "$file_path" "$keywords" "2"))
 echo ${res_array[0]} #只取第一个
}

##调试代码
#get_para_from_control "testcase01"
#get_para_from_file "control/control.cnf" "testcase01" "2"
#cat control/control.cnf | grep testcase03 |grep -v '#'| awk '{print $2}'