#!/bin/bash
#######################################################################################
#Function: function of data processing
#Platform:amd64\arm64\x86
#Author: Fenfen Liu
#Date: 2021/3/24
#Company: Kylin Software Co.,Ltd.
#Description:
########################################################################################

# txt转为csv格式的文件,入参(param1: txt文件名；param2: csv目标文件名 )
# 示例： txt2csv 1.txt 1.csv
function txt2csv()
{
    if test -s $1; then
      cat $1 | tr -s '[:blank:]' ',' > $2
    else
      echo "文件$1为空，请检查!"
    fi
}